package com.bzd.system.service.kc.bb;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 装斗报表 service
* @author LiXiangFei
* @since 2024-10-14
*/

@Service
public class SKcBbRefillingitemsService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSKcBbRefillingitems(PageData pd)throws Exception {
        return daoSupport.update("SKcBbRefillingitemsMapper.addSKcBbRefillingitems", pd);
    }

    public List<PageData> findSKcBbRefillingitemsList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SKcBbRefillingitemsMapper.selectSKcBbRefillingitemsList", pd);
    }

    public Integer SKcBbRefillingitemsRemove(PageData pd)throws Exception {
        return daoSupport.delete("SKcBbRefillingitemsMapper.SKcBbRefillingitemsRemove", pd);
    }


    public Integer updateSKcBbRefillingitems(PageData pd)throws Exception {
        return daoSupport.update("SKcBbRefillingitemsMapper.updateSKcBbRefillingitems", pd);
    }

}
